KCombiView Class Reference

`#include <kcombiview.h>`

Inheritance diagram for KCombiView:

## Public Member Functions

| KCombiView (QWidget *parent, const char *name)
virtual QWidget * | widget ()
virtual void | clearView ()
virtual void | updateView (bool)
virtual void | updateView (const KFileItem *)
virtual void | removeItem (const KFileItem *)
virtual void | listingCompleted ()
void | setRight (KFileView *view)
virtual void | setSelectionMode (KFile::SelectionMode sm)
virtual void | setSelected (const KFileItem *, bool)
virtual bool | isSelected (const KFileItem *) const
virtual void | clearSelection ()
virtual void | selectAll ()
virtual void | invertSelection ()
virtual void | setCurrentItem (const KFileItem *)
virtual KFileItem * | currentFileItem () const
virtual KFileItem * | firstFileItem () const
virtual KFileItem * | nextItem (const KFileItem *) const
virtual KFileItem * | prevItem (const KFileItem *) const
virtual void | insertItem (KFileItem *i)
virtual void | clear ()
virtual void | setSorting (QDir::SortSpec sort)
virtual void | readConfig (KConfig *, const QString &group=QString::null)
virtual void | writeConfig (KConfig *, const QString &group=QString::null)
void | ensureItemVisible (const KFileItem *)
virtual KActionCollection * | actionCollection () const
virtual void | setAcceptDrops (bool b)
Public Member Functions inherited from KFileView
virtual | ~KFileView ()
void | addItemList (const KFileItemList &list)
QWidget * | widget () const
void | setCurrentItem (const QString &filename)
QDir::SortSpec | sorting () const
bool | isReversed () const
void | sortReversed ()
uint | count () const
uint | numFiles () const
uint | numDirs () const
virtual KFile::SelectionMode | selectionMode () const
virtual void | setViewMode (ViewMode vm)
virtual ViewMode | viewMode () const
QString | viewName () const
void | setViewName (const QString &name)
virtual void | setParentView (KFileView *parent)
const KFileItemList * | selectedItems () const
const KFileItemList * | items () const
void | setOnlyDoubleClickSelectsFiles (bool enable)
bool | onlyDoubleClickSelectsFiles () const
bool | updateNumbers (const KFileItem *i)
KFileViewSignaler * | signaler () const
void | setDropOptions (int options)
int | dropOptions ()

## Protected Slots

void | slotSortingChanged (QDir::SortSpec)

## Protected Member Functions

virtual bool | eventFilter (QObject *o, QEvent *e)
void | setDropOptions_impl (int options)
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KFileView
void | setDropOptions_impl (int options)

## Protected Attributes

KFileIconView * | left
KFileView * | right
Protected Attributes inherited from KFileView
KFileViewSignaler * | sig

## Additional Inherited Members

Public Types inherited from KFileView
enum | ViewMode { Files = 1, Directories = 2, All = Files | Directories }
enum | DropOptions { AutoOpenDirs = 1 }
Static Public Member Functions inherited from KFileView
static QString | sortingKey (const QString &value, bool isDir, int sortSpec)
static QString | sortingKey (KIO::filesize_t value, bool isDir, int sortSpec)
static int | autoOpenDelay ()
Protected Types inherited from KFileView
enum | { VIRTUAL_SET_DROP_OPTIONS = 1 }

## Detailed Description

This view is designed to combine two KFileViews into one widget, to show directories on the left side and files on the right side.

Methods like selectedItems() to query status only work on the right side, i.e. on the files.

After creating the KCombiView, you need to supply the view shown in the right, (see setRight()). Available KFileView implementations are KFileIconView and KFileDetailView.

Most of the below methods are just implementations of the baseclass KFileView, so look there for documentation.

See also
  KFileView
  KFileIconView
  KFileDetailView
  KDirOperator

Definition at line 54 of file kcombiview.h.

## Member Function Documentation

KActionCollection * KCombiView::actionCollection | ( |  | ) | const

virtual

Returns
  the view-specific action-collection. Every view should add its actions here (if it has any) to make them available to e.g. the KDirOperator's popup-menu.

Reimplemented from KFileView.

Definition at line 322 of file kcombiview.cpp.

void KCombiView::clear | ( |  | ) |

virtual

Clears the view and all item lists.

Reimplemented from KFileView.

Definition at line 147 of file kcombiview.cpp.

void KCombiView::clearSelection | ( |  | ) |

virtual

Clears any selection, unhighlights everything.

Must be implemented by the view.

Implements KFileView.

Definition at line 155 of file kcombiview.cpp.

void KCombiView::clearView | ( |  | ) |

virtual

pure virtual function, that should be implemented to clear the view.

At this moment the list is already empty

Implements KFileView.

Definition at line 111 of file kcombiview.cpp.

KFileItem * KCombiView::currentFileItem | ( |  | ) | const

virtual

Returns
  the "current" KFileItem, e.g. where the cursor is. Returns 0L when there is no current item (e.g. in an empty view). Subclasses have to implement this.

Implements KFileView.

Definition at line 206 of file kcombiview.cpp.

void KCombiView::ensureItemVisible | ( | const KFileItem * | i | ) |

virtual

pure virtual function, that should be implemented to make item i visible, i.e.

by scrolling the view appropriately.

Implements KFileView.

Definition at line 222 of file kcombiview.cpp.

void KCombiView::insertItem | ( | KFileItem * | i | ) |

virtual

The derived view must implement this function to add the file in the widget.

Make sure to call this implementation, i.e. KFileView::insertItem( i );

Reimplemented from KFileView.

Definition at line 87 of file kcombiview.cpp.

void KCombiView::invertSelection | ( |  | ) |

virtual

Inverts the current selection, i.e.

selects all items, that were up to now not selected and deselects the other.

Reimplemented from KFileView.

Definition at line 169 of file kcombiview.cpp.

bool KCombiView::isSelected | ( | const KFileItem * |  | ) | const

virtual

Returns
  whether the given item is currently selected. Must be implemented by the view.

Implements KFileView.

Definition at line 176 of file kcombiview.cpp.

void KCombiView::listingCompleted | ( |  | ) |

virtual

This hook is called when all items of the currently listed directory are listed and inserted into the view, i.e.

there won't come any new items anymore.

Reimplemented from KFileView.

Definition at line 140 of file kcombiview.cpp.

void KCombiView::removeItem | ( | const KFileItem * | item | ) |

virtual

Removes an item from the list; has to be implemented by the view.

Call KFileView::removeItem( item ) after removing it.

Reimplemented from KFileView.

Definition at line 132 of file kcombiview.cpp.

void KCombiView::selectAll | ( |  | ) |

virtual

Selects all items.

You may want to override this, if you can implement it more efficiently than calling setSelected() with every item. This works only in Multiselection mode of course.

Reimplemented from KFileView.

Definition at line 162 of file kcombiview.cpp.

void KCombiView::setCurrentItem | ( | const KFileItem * | item | ) |

virtual

Reimplement this to set `item` the current item in the view, e.g.

the item having focus.

Implements KFileView.

Definition at line 199 of file kcombiview.cpp.

void KCombiView::setRight | ( | KFileView * | view | ) |

Sets the view to be shown in the right.

You need to call this before doing anything else with this widget.

Definition at line 68 of file kcombiview.cpp.

void KCombiView::setSelected | ( | const KFileItem * | ,
|  | bool | enable
| ) |  |

virtual

Tells the view that it should highlight the item.

This function must be implemented by the view.

Implements KFileView.

Definition at line 192 of file kcombiview.cpp.

void KCombiView::setSorting | ( | QDir::SortSpec | sort | ) |

virtual

Sets the sorting order of the view.

Default is QDir::Name | QDir::IgnoreCase | QDir::DirsFirst Override this in your subclass and sort accordingly (usually by setting the sorting-key for every item and telling QIconView or QListView to sort.

A view may choose to use a different sorting than QDir::Name, Time or Size. E.g. to sort by mimetype or any possible string. Set the sorting to QDir::Unsorted for that and do the rest internally.

See also
  sortingKey

Reimplemented from KFileView.

Definition at line 101 of file kcombiview.cpp.

void KCombiView::updateView | ( | bool | f | ) |

virtual

does a repaint of the view.

The default implementation calls

widget()->repaint(f)

Reimplemented from KFileView.

Definition at line 118 of file kcombiview.cpp.

virtual QWidget* KCombiView::widget | ( |  | ) |

inline virtual

a pure virtual function to get a QWidget, that can be added to other widgets.

This function is needed to make it possible for derived classes to derive from other widgets.

Implements KFileView.

Definition at line 63 of file kcombiview.h.

The documentation for this class was generated from the following files:

- kcombiview.h
- kcombiview.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys